Skip to main content
GET
/
v2
/
user-forms
/
{id}
Retrieve a user form
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/user-forms/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "0186ef31-4a6c-bc77-ffb7-a9db11505d7d",
  "account": "0182c1e2-59ec-16ba-34e2-4f20594a7df7",
  "data": {
    "income_source": "Block & Fish Tackle",
    "payroll_provider": "Payroll Corp."
  },
  "created_at": "2023-03-17T10:50:30.414265Z",
  "updated_at": "2023-03-17T10:50:31.621908Z"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the user form object to be retrieved.

Response

200 - application/json
id
string<uuid>

Unique ID of the user form.

account
string<uuid>

ID of the account associated with the user form.

data
object
created_at
string<datetime>

Timestamp (ISO 8601) when the user form was submitted.

updated_at
string<datetime>

Timestamp (ISO 8601) when the user form object was last updated.